DomToGroovy (Groovy 5.1.0)

Package: org.apache.groovy.xml.tools

## [Java] Class DomToGroovy

- org.apache.groovy.xml.tools.DomToGroovy

-     public class DomToGroovy
      extends Object

  A SAX handler for turning XML into Groovy scripts

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected boolean` | `inMixed` |
    `protected Collection<String>` | `keywords` |
    `protected IndentPrinter` | `out` |
    `protected String` | `qt` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DomToGroovy(PrintWriter out)`
    `DomToGroovy(IndentPrinter out)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected boolean` | `checkEscaping(String localName)`
    `` | `protected void` | `defineNamespace(Map namespaces, String prefix, String uri)`
    `` | `protected Map` | `defineNamespaces(Element element, Map namespaces)`
    `` | `protected String` | `escapeQuote(String text)`
    `` | `protected String` | `getAttributeValue(Attr attribute)`
    `` | `protected String` | `getLocalName(Node node)`
    `` | `protected String` | `getTextNodeData(Text node)`
    `` | `public static void` | `main(String[] args)`
    `` | `protected boolean` | `mixedContent(NodeList list)`
    `` | `protected static Document` | `parse(String fileName)`
    `` | `public static Document` | `parse(File file)`
    `` | `public static Document` | `parse(Reader input)`
    `` | `public static Document` | `parse(InputStream input)`
    `` | `public void` | `print(Document document)`
    `` | `protected void` | `print(Node node, Map namespaces, boolean endWithComma)`
    `` | `protected void` | `print(String text)`
    `` | `protected void` | `printAttributeWithPrefix(Attr attribute, StringBuffer buffer)`
    `` | `protected boolean` | `printAttributeWithoutPrefix(Attr attribute, boolean hasAttribute)`
    `` | `protected boolean` | `printAttributes(Element element)`
    `` | `protected void` | `printChildren(Node parent, Map namespaces)`
    `` | `protected void` | `printComment(Comment comment, boolean endWithComma)`
    `` | `protected void` | `printElement(Element element, Map namespaces, boolean endWithComma)`
    `` | `protected void` | `printEnd(String text, boolean endWithComma)`
    `` | `protected void` | `printIndent()`
    `` | `protected void` | `printPI(ProcessingInstruction instruction, boolean endWithComma)`
    `` | `protected void` | `printQuoted(String text)`
    `` | `protected void` | `printText(Text node, boolean endWithComma)`
    `` | `protected void` | `println(String text)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected boolean inMixed

    - #### protected Collection<String> keywords

    - #### protected IndentPrinter out

    - #### protected String qt

  - ### Constructor Detail

    - #### public DomToGroovy(PrintWriter out)

    - #### public DomToGroovy(IndentPrinter out)

  - ### Method Detail

    - #### protected boolean checkEscaping(String localName)

    - #### protected void defineNamespace(Map namespaces, String prefix, String uri)

    - #### protected Map defineNamespaces(Element element, Map namespaces)

    - #### protected String escapeQuote(String text)

    - #### protected String getAttributeValue(Attr attribute)

    - #### protected String getLocalName(Node node)

    - #### protected String getTextNodeData(Text node)

    - #### public static void main(String[] args)

    - #### protected boolean mixedContent(NodeList list)

    - #### protected static Document parse(String fileName)

    - #### public static Document parse(File file)

    - #### public static Document parse(Reader input)

    - #### public static Document parse(InputStream input)

    - #### public void print(Document document)

    - #### protected void print(Node node, Map namespaces, boolean endWithComma)

    - #### protected void print(String text)

    - #### protected void printAttributeWithPrefix(Attr attribute, StringBuffer buffer)

    - #### protected boolean printAttributeWithoutPrefix(Attr attribute, boolean hasAttribute)

    - #### protected boolean printAttributes(Element element)

    - #### protected void printChildren(Node parent, Map namespaces)

    - #### protected void printComment(Comment comment, boolean endWithComma)

    - #### protected void printElement(Element element, Map namespaces, boolean endWithComma)

    - #### protected void printEnd(String text, boolean endWithComma)

    - #### protected void printIndent()

    - #### protected void printPI(ProcessingInstruction instruction, boolean endWithComma)

    - #### protected void printQuoted(String text)

    - #### protected void printText(Text node, boolean endWithComma)

    - #### protected void println(String text)